| Home | Libraries | People | FAQ | More

#### is_null_like

Determine if `T` can be treated like null during conversions.

##### Synopsis

Defined in header `<boost/json/conversion.hpp>`

    template<
        class T>
    struct is_null_like :
        public std::false_type

##### Description

Primary template instantiations provide the member constant `value` that is equal to `false`. Users can specialize the trait for their own types if they do want them to be treated as nulls. For example:

    namespace boost {
    namespace json {

    template <>
    struct is_null_like<your::null_type> : std::true_type
    { };

    } // namespace boost
    } // namespace json

##### Types satisfying the trait

`std::nullptr_t`.

##### See Also

`value_from`, `value_to`

Convenience header `<boost/json.hpp>`